import 'package:flutter/material.dart';
import 'package:freekake/components/collection_container.dart';
import 'package:freekake/helpers/color_helper.dart';

class CollectionFragmentScreen extends StatefulWidget {
  const CollectionFragmentScreen({super.key});

  @override
  State<CollectionFragmentScreen> createState() =>
      _CollectionFragmentScreenState();
}

class _CollectionFragmentScreenState extends State<CollectionFragmentScreen> {
  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      child: SingleChildScrollView(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            SizedBox(height: 80),
            Padding(
              padding: EdgeInsets.all(40),
              child: Wrap(
                alignment: WrapAlignment.spaceAround,
                spacing: 10, // Horizontal spacing between the containers
                runSpacing: 10, // Vertical spacing between lines
                children: [
                  CollectionContainer(
                    label: "Luffy",
                    imagesrc: 'assets/images/ft_luffy.png',
                    onTapAc: () => {},
                    colorContiner: ColorHelper.hexToColor("0xE2E5E9"),
                  ),
                  CollectionContainer(
                    label: "Oni Chan",
                    imagesrc: 'assets/images/ft_cepot.png',
                    onTapAc: () => {},
                    colorContiner: ColorHelper.hexToColor("0xE2E5E9"),
                  ),
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
